@use "@angular/material" as mat;
@use "./theme/m3-theme";
@include mat.core();

@import "../node_modules/bootstrap/dist/css/bootstrap.css";

html,
body {
  height: 100%;
}

html {
  @include mat.core-theme(m3-theme.$light-theme);
  @include mat.button-theme(m3-theme.$light-theme);
}

body {
  margin: 0;
  display: flex;
  flex-direction: column;
}

.clickable {
  cursor: pointer;
}

.app-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

app-main-container {
  flex: 1;
}

.back-button,
.add-button {
  margin-bottom: 1em;
}

.mat-typography h1 {
  font-size: 2rem;
}

.full-width {
  width: 100%;
}

.form-field {
  margin-bottom: 16px;
  margin-right: 16px;
}
